
%define ver 1.99
%define rls 4
%define prefix /usr/local

Summary: SmartLink Software Modem for HAMR Card (SLMDM)
Name: slmdm
Version: %ver
Release: %rls
Copyright: SmartLink
Group: Applications/Communications
Source: slmdm-%ver.tar.gz
URL: http://www.smlink.com
BuildRoot: /var/tmp/build-slmdm-%ver

%description
SmartLink Software Modem for HAMR Card (SLMDM)


%prep


%setup


%build
EXT_CFLAGS="$RPM_OPT_FLAGS"
COMPILE_DIR=$RPM_BUILD_DIR/slmdm-%ver
make all


%define product_dir usr/lib/slmdm
%define modules_dir lib/modules/misc
%define modem_dev /dev/slmdm
%define modem_link /dev/modem

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%modules_dir
mkdir -p $RPM_BUILD_ROOT/%product_dir
install -m 644 slsrv.o $RPM_BUILD_ROOT/%modules_dir/slsrv.o
install -m 644 slmdm.o $RPM_BUILD_ROOT/%modules_dir/slmdm.o
install -m 644 slv90.o $RPM_BUILD_ROOT/%modules_dir/slv90.o
install -m 644 slfax.o $RPM_BUILD_ROOT/%modules_dir/slfax.o
install -m 644 slamrmo.o $RPM_BUILD_ROOT/%modules_dir/slamrmo.o
install -m 711 infload $RPM_BUILD_ROOT/%product_dir/infload
install -m 711 slmon $RPM_BUILD_ROOT/%product_dir/slmon
install -m 711 start_slmon $RPM_BUILD_ROOT/%product_dir/start_slmon
install -m 711 load_slinf $RPM_BUILD_ROOT/%product_dir/load_slinf
install -m 711 load_slmdm $RPM_BUILD_ROOT/%product_dir/load_slmdm
install -m 711 unload_slmdm $RPM_BUILD_ROOT/%product_dir/unload_slmdm
install -m 711 config_inf $RPM_BUILD_ROOT/%product_dir/config_inf
install -m 644 m.info $RPM_BUILD_ROOT/%product_dir/m.info
install -m 644 readme.txt $RPM_BUILD_ROOT/%product_dir/readme.txt
install -m 644 ppp-howto.txt $RPM_BUILD_ROOT/%product_dir/ppp-howto.txt

%post
if [ "$1" = 1 ]; then
  if [ -f $RPM_BUILD_ROOT/etc/modules.conf ] ; then
    mconf="$RPM_BUILD_ROOT/etc/modules.conf"
  elif [ -f $RPM_BUILD_ROT/etc/conf.modules ] ; then
    mconf="$RPM_BUILD_ROOT/etc/conf.modules"
  fi

  if [ ! -z "$mconf" ] ; then
    cp $mconf $mconf.slmdm
    egrep -v '^post-install slsrv /%product_dir/load_slinf|above slmdm slv90 slfax|alias char-major-212 slmdm$' $mconf.slmdm > $mconf

    echo "post-install slsrv /%product_dir/load_slinf" >> $mconf
    echo "above slmdm slv90 slfax"                     >> $mconf
    echo "alias char-major-212 slmdm"                  >> $mconf
  fi

  rm -f $RPM_BUILD_ROOT/%modem_link
  rm -f $RPM_BUILD_ROOT/%modem_dev
  mknod -m 666 $RPM_BUILD_ROOT/%modem_dev c 212 0
  ln -sf $RPM_BUILD_ROOT/%modem_dev $RPM_BUILD_ROOT/%modem_link

fi

/sbin/depmod -a > /dev/null

if [ -f $RPM_BUILD_ROOT/etc/smcfg.ini ] ; then
  $RPM_BUILD_ROOT/%product_dir/config_inf $RPM_BUILD_ROOT/etc/smcfg.ini $RPM_BUILD_ROOT/%product_dir/m.info
fi


%postun
if [ "$1" = 0 ]; then
  #rmmod slfax 2> /dev/null
  #rmmod slv90 2> /dev/null 
  rmmod slmdm 2> /dev/null 
  rmmod slamrmo 2> /dev/null
  rmmod slsrv 2> /dev/null
  if [ -f $RPM_BUILD_ROOT/etc/modules.conf ] ; then	
    mconf="$RPM_BUILD_ROOT/etc/modules.conf"
  elif [ -f $RPM_BUILD_ROOT/etc/conf.modules ] ; then
    mconf="$RPM_BUILD_ROOT/etc/conf.modules"
  fi
  if [ ! -z "$mconf" ] ; then
    cp $mconf $mconf.slmdm
    egrep -v '^post-install slsrv /%product_dir/load_slinf|above slmdm slv90 slfax|alias char-major-212 slmdm$' $mconf.slmdm > $mconf
  fi
  rm -f  $RPM_BUILD_ROOT/%modem_link
  rm -f  $RPM_BUILD_ROOT/%modem_dev
  rmdir $RPM_BUILD_ROOT/%product_dir
fi
/sbin/depmod -a > /dev/null


%verifyscript
if [ -f $RPM_BUILD_ROOT/etc/modules.conf ] ; then
  mconf="$RPM_BUILD_ROOT/etc/modules.conf"
elif [ -f $RPM_BUILD_ROOT/etc/conf.modules ] ; then
  mconf="$RPM_BUILD_ROOT/etc/conf.modules"
fi
if [ ! -z "$mconf" ] ; then
  grep 'alias char-major-212 slmdm' $mconf > /dev/null
  if [ $? -ne 0 ]; then
    echo "slmdm entry not included in $mconf"
  fi
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0711,root,root)   /%product_dir/infload
%attr(0711,root,root)   /%product_dir/slmon
%attr(0711,root,root)   /%product_dir/start_slmon
%attr(0711,root,root)   /%product_dir/load_slinf
%attr(0711,root,root)   /%product_dir/load_slmdm
%attr(0711,root,root)   /%product_dir/unload_slmdm
%attr(0711,root,root)   /%product_dir/config_inf
%attr(0644,root,root)   /%modules_dir/slsrv.o
%attr(0644,root,root)   /%modules_dir/slmdm.o
%attr(0644,root,root)   /%modules_dir/slv90.o
%attr(0644,root,root)   /%modules_dir/slfax.o
%attr(0644,root,root)   /%modules_dir/slamrmo.o
%attr(0644,root,root)   /%product_dir/m.info
%attr(0644,root,root)   /%product_dir/readme.txt
%attr(0644,root,root)   /%product_dir/ppp-howto.txt


%changelog
* Wed May 29 2000 Alex Rier <alex@breakt.co.il>
- update to 0.0.1
  Give 666 permissions to the %modem_dev

* Wed May 3 2000 Alex Rier <alex@breakt.co.il>
- update to 0.0.0
